---
name: Bug report
about: Something is not working
title: "[BUG] Concise description of the issue"
labels: ''
assignees: ''

---

<!---
=> Before opening an issue, please check the documentation and see if it helps you resolve your issue: https://paperless-ngx.readthedocs.io/en/latest/troubleshooting.html
=> Please also make sure that you followed the installation instructions.
=> Please search the issues and look for similar issues before opening a bug report.

=> If you would like to submit a feature request please submit one under https://github.com/paperless-ngx/paperless-ngx/discussions/categories/feature-requests

=> If you encounter issues while installing of configuring Paperless-ng, please post that in the "Support" section of the discussions. Remember that Paperless successfully runs on a variety of different systems. If paperless does not start, it's probably an issue with your system, and not an issue of paperless.

=> Don't remove the [BUG] prefix from the title.
-->

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Webserver logs**
```
If available, post any logs from the web server related to your issue.
```

**Relevant information**
 - Host OS of the machine running paperless: [e.g. Archlinux / Ubuntu 20.04]
 - Browser [e.g. chrome, safari]
 - Version [e.g. 1.0.0]
 - Installation method: [docker / bare metal]
 - Any configuration changes you made in `docker-compose.yml`, `docker-compose.env` or `paperless.conf`.
